| FFmpegKit iOS / macOS / tvOS API 6.0

Loading...
Searching...
No Matches
Instance Methods | Class Methods
MediaInformationSession Class Reference

`#import <MediaInformationSession.h>`

## Instance Methods
(MediaInformation *) | - getMediaInformation
(void) | - setMediaInformation:
(MediaInformationSessionCompleteCallback) | - getCompleteCallback
(instancetype) | - init:withCompleteCallback:withLogCallback:`[implementation]`
(BOOL) | - isFFmpeg`[implementation]`
(BOOL) | - isFFprobe`[implementation]`
(BOOL) | - isMediaInformation`[implementation]`
Instance Methods inherited from AbstractSession
(instancetype) | - init:withLogCallback:withLogRedirectionStrategy:
(void) | - waitForAsynchronousMessagesInTransmit:
(LogCallback) | - getLogCallback`[implementation]`
(long) | - getSessionId`[implementation]`
(NSDate *) | - getCreateTime`[implementation]`
(NSDate *) | - getStartTime`[implementation]`
(NSDate *) | - getEndTime`[implementation]`
(long) | - getDuration`[implementation]`
(NSArray *) | - getArguments`[implementation]`
(NSString *) | - getCommand`[implementation]`
(NSArray *) | - getAllLogsWithTimeout:`[implementation]`
(NSArray *) | - getAllLogs`[implementation]`
(NSArray *) | - getLogs`[implementation]`
(NSString *) | - getAllLogsAsStringWithTimeout:`[implementation]`
(NSString *) | - getAllLogsAsString`[implementation]`
(NSString *) | - getLogsAsString`[implementation]`
(NSString *) | - getOutput`[implementation]`
(SessionState) | - getState`[implementation]`
(ReturnCode *) | - getReturnCode`[implementation]`
(NSString *) | - getFailStackTrace`[implementation]`
(LogRedirectionStrategy) | - getLogRedirectionStrategy`[implementation]`
(BOOL) | - thereAreAsynchronousMessagesInTransmit`[implementation]`
(void) | - addLog:`[implementation]`
(void) | - startRunning`[implementation]`
(void) | - complete:`[implementation]`
(void) | - fail:`[implementation]`
(BOOL) | - isFFmpeg`[implementation]`
(BOOL) | - isFFprobe`[implementation]`
(BOOL) | - isMediaInformation`[implementation]`
(void) | - cancel`[implementation]`
(LogCallback) | - getLogCallback
(long) | - getSessionId
(NSDate *) | - getCreateTime
(NSDate *) | - getStartTime
(NSDate *) | - getEndTime
(long) | - getDuration
(NSArray *) | - getArguments
(NSString *) | - getCommand
(NSArray *) | - getAllLogsWithTimeout:
(NSArray *) | - getAllLogs
(NSArray *) | - getLogs
(NSString *) | - getAllLogsAsStringWithTimeout:
(NSString *) | - getAllLogsAsString
(NSString *) | - getLogsAsString
(NSString *) | - getOutput
(SessionState) | - getState
(ReturnCode *) | - getReturnCode
(NSString *) | - getFailStackTrace
(LogRedirectionStrategy) | - getLogRedirectionStrategy
(BOOL) | - thereAreAsynchronousMessagesInTransmit
(void) | - addLog:
(void) | - startRunning
(void) | - complete:
(void) | - fail:
(BOOL) | - isFFmpeg
(BOOL) | - isFFprobe
(BOOL) | - isMediaInformation
(void) | - cancel

## Class Methods
(instancetype) | + create:
(instancetype) | + create:withCompleteCallback:
(instancetype) | + create:withCompleteCallback:withLogCallback:
(void) | + initialize`[implementation]`
(void) | + initialize`[implementation]`

## Detailed Description

A custom FFprobe session, which produces a `MediaInformation` object using the FFprobe output.

Definition at line 32 of file MediaInformationSession.h.

## Method Documentation

## ◆ create:

+ (instancetype) create: |  | (NSArray*) | arguments |

Creates a new media information session.

Parameters

  arguments | command arguments

Returns
  created session

Definition at line 26 of file MediaInformationSession.m.

## ◆ create:withCompleteCallback:

+ (instancetype) create: |  | (NSArray*) | arguments
withCompleteCallback: |  | (MediaInformationSessionCompleteCallback) | completeCallback

Creates a new media information session.

Parameters

  arguments | command arguments
  completeCallback | session specific complete callback

Returns
  created session

Definition at line 26 of file MediaInformationSession.m.

## ◆ create:withCompleteCallback:withLogCallback:

+ (instancetype) create: |  | (NSArray*) | arguments
withCompleteCallback: |  | (MediaInformationSessionCompleteCallback) | completeCallback
withLogCallback: |  | (LogCallback) | logCallback

Creates a new media information session.

Parameters

  arguments | command arguments
  completeCallback | session specific complete callback
  logCallback | session specific log callback

Returns
  created session

Definition at line 26 of file MediaInformationSession.m.

## ◆ getCompleteCallback

- (MediaInformationSessionCompleteCallback) getCompleteCallback |  |  |

Returns the session specific complete callback.

Returns
  session specific complete callback

Definition at line 26 of file MediaInformationSession.m.

## ◆ getMediaInformation

- (MediaInformation *) getMediaInformation |  |  |

Returns the media information extracted in this session.

Returns
  media information extracted or nil if the command failed or the output can not be parsed

Definition at line 26 of file MediaInformationSession.m.

## ◆ init:withCompleteCallback:withLogCallback:

- (instancetype) init: |  | (NSArray*) | arguments
withCompleteCallback: |  | (MediaInformationSessionCompleteCallback) | completeCallback
withLogCallback: |  | (LogCallback) | logCallback
| implementation

Definition at line 26 of file MediaInformationSession.m.

## ◆ initialize

+ (void) initialize |  |  |
| implementation

Reimplemented from AbstractSession.

Definition at line 26 of file MediaInformationSession.m.

## ◆ isFFmpeg

- (BOOL) isFFmpeg |  |  |
| implementation

Returns whether it is an `FFmpeg` session or not.

Returns
  true if it is an `FFmpeg` session, false otherwise

Reimplemented from AbstractSession.

Definition at line 26 of file MediaInformationSession.m.

## ◆ isFFprobe

- (BOOL) isFFprobe |  |  |
| implementation

Returns whether it is an `FFprobe` session or not.

Returns
  true if it is an `FFprobe` session, false otherwise

Reimplemented from AbstractSession.

Definition at line 26 of file MediaInformationSession.m.

## ◆ isMediaInformation

- (BOOL) isMediaInformation |  |  |
| implementation

Returns whether it is a `MediaInformation` session or not.

Returns
  true if it is a `MediaInformation` session, false otherwise

Reimplemented from AbstractSession.

Definition at line 26 of file MediaInformationSession.m.

## ◆ setMediaInformation:

- (void) setMediaInformation: |  | (MediaInformation*) | mediaInformation |

Sets the media information extracted in this session.

Parameters

  mediaInformation | media information extracted

Definition at line 26 of file MediaInformationSession.m.

The documentation for this class was generated from the following files:

- MediaInformationSession.h
- MediaInformationSession.m